Package com.massivecraft.factions.event

## Class FactionRenameEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionEvent
    - - com.massivecraft.factions.event.FactionPlayerEvent
      - - com.massivecraft.factions.event.FactionRenameEvent

All Implemented Interfaces:
  `org.bukkit.event.Cancellable`

    public class FactionRenameEvent
    extends FactionPlayerEvent
    implements org.bukkit.event.Cancellable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Field Summary

### Fields inherited from class com.massivecraft.factions.event.FactionPlayerEvent

`fPlayer`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FactionRenameEvent​(FPlayer sender, java.lang.String newTag)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getFactionTag()` | Get the new faction tag.
`java.lang.String` | `getOldFactionTag()` | Deprecated. use getFaction().getTag() instead.
`org.bukkit.entity.Player` | `getPlayer()` | Deprecated. use getfPlayer().getPlayer() instead.
`boolean` | `isCancelled()` |
`void` | `setCancelled​(boolean c)` |

### Methods inherited from class com.massivecraft.factions.event.FactionPlayerEvent

`getfPlayer`

### Methods inherited from class com.massivecraft.factions.event.FactionEvent

`getFaction, getHandlerList, getHandlers`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FactionRenameEvent

    public FactionRenameEvent​(FPlayer sender,
                              java.lang.String newTag)

### Method Detail

#### getPlayer

    @Deprecated
    public org.bukkit.entity.Player getPlayer()

Deprecated.
use getfPlayer().getPlayer() instead.
Get the player involved in the event.

Returns:
  Player involved in the event.

#### getOldFactionTag

    @Deprecated
    public java.lang.String getOldFactionTag()

Deprecated.
use getFaction().getTag() instead.
Get the faction tag before it was renamed.

Returns:
  old faction tag.

#### getFactionTag

    public java.lang.String getFactionTag()

Get the new faction tag.

Returns:
  new faction tag as String.

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled​(boolean c)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`